<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	# meta

	$title = 'Мой кабинет » Мобильные WAP сайты';
	$description = system::check($config['description']);
	$keywords = system::check($config['keywords']);
	$tl = 'Добавление сайта';

	# user

	system::access(true);

	# post

	if (isset($_POST['CFMS'])): 

	$url  		= system::check($_POST['url']);
	$message  	= system::check($_POST['message']);	
	$cat  		= system::abs($_POST['cat']);
	$big  		= system::abs($_POST['big']);
	$small  	= system::abs($_POST['small']);
	$hide 		= (empty($_POST['hide'])) ? 0 : 1;
	$CK  		= system::check($_POST['CK']);	

	$check = DB :: $dbh -> querySingle("SELECT id FROM platforms WHERE lower(url) = ? LIMIT 1;", array(strtolower($url)));	

	if (empty($check)):
	if (system::utf_strlen($url) > 5 && system::utf_strlen($url)	< 36):	
	if (system::utf_strlen($message) > 5 && system::utf_strlen($message)	< 81):	
	if (cache_cat::ch($cat) == true):
	if ($big > 0 && $big < 12):
	if ($small > 0 && $small < 12):
	if ($user['CK'] == $CK):
	if ($user['pf_cn'] < $config['pf_max']):	

	DB :: $dbh -> query("INSERT INTO platforms (url,message,cat,big,small,hide,user,time,mode)VALUES (?,?,?,?,?,?,?,?,?);",array($url,$message,$cat,$big,$small,$hide,$user['id'],time(),$config['pf_mod']));
		
	$id = DB :: $dbh -> lastInsertId();	
	
	cache_pf::save($id);	

	DB :: $dbh -> query("UPDATE user SET pf_cn = (pf_cn + 1) WHERE id = ? LIMIT 1;", array($user['id']));	
	
	cache_user::save($user['CK']);

	system::header('/office/platforms','Успешно, не забудьте установить счетчик!',1);		
		
	# error
	
	else: system::header('?','Ошибка, вы добавили максимальное количество сайтов'); endif;
	else: system::header('?','Ошибка, возможно вам подкинули эту ссылку'); endif;
	else: system::header('?','Не верно выбран счетчик для остальных страниц'); endif;
	else: system::header('?','Не верно выбран счетчик для главной страницы'); endif;
	else: system::header('?','Не верно выбрана категория'); endif;
	else: system::header('?','Описание от 5 до 80 символов'); endif;
	else: system::header('?','URL от 5 до 35 символов'); endif;
	else: system::header('?','Ошибка, такой сайт уже есть'); endif;

	endif;	

	# head

	require_once ( head );

	echo '
	<div class="hide">
	<div style="color: black;"><b><font color="red">Внимание:</font></b><br>
	Категорически запрещена накрутка и/или скрытие счётчика с помощью значения <u>display:none</u> или <u>opacity</u>. 
	</br>Пожалуйста, не используйте ВЕРХНИЙ РЕГИСТР в описании, если вы не сможете найти категорию под вашу тематику, выберите более подходящую, старайтесь не допускать ошибок.</div></div>
	<div class="touch">
	<form method="post">
	<input type="hidden" name="CK" value = "'.$user['CK'].'">
	URL сайта (<b>без</b> http:// и т.п) [max. 35]:<br>
	<input type="text" class="input" name="url" maxlength="35" value=""><br>
	Описание сайта [max. 80]:<br>
	<textarea name="message" cols="38" rows="8"></textarea><br>
	Категория:<br>
	<select name="cat">
	';

	# cat

	$query = DB :: $dbh -> query("SELECT id FROM cat ORDER BY id");	

	while ($act = $query -> fetch()):

	$act = cache_cat::check($act['id']);	

	echo '<option value="'.$act['id'].'">'.system::check($act['name']).'</option>';		

	endwhile;	

	# coutn code

	$cn = [1,2,3,4,5,6,7,8,9,10,11];
	
	echo'
	</select>
	<hr>
	<small><strong>Для главной страницы сайта: <font size="2">*</font></strong></small>
	<br>';

	$i = 0;

	foreach ($cn as $big): # big

	$i++;

	echo '
	<input type="radio" name="big" value="'.$big.'" '.($i == 1 ? 'checked="checked"':'').'>
	<img src="'.ico.'cn/big/'.$big.'.gif" alt="*">
	<br>';	

	endforeach;		

	echo '
	<hr>
	<small><strong>Для остальных страниц сайта: <font size="2">*</font></strong></small>
	<br>';
	
	$i = 0;

	foreach ($cn as $small): # small

	$i++;

	echo '
	<input type="radio" name="small" value="'.$small.'" '.($i == 1 ? 'checked="checked"':'').'>
	<img src="'.ico.'cn/small/'.$small.'.gif" alt="*">
	<br>	
	';	

	endforeach;	
	
	echo '
	<br>
	<input name="hide" type="checkbox" value="1"> Скрыть статистику<br>
	<input name="CFMS" type="submit" value="Добавить">
	</form>
	<br><font size="2">*</font> - Все поля обязательные к заполнению.<br>
	<font size="2">**</font> - Описание сайта должно быть адекватное!
	</div>

	<a href="'.site.'office/platforms" class="touch">« Мои сайты</a>
	<a href="'.site.'" class="touch">« На главную</a>
	';

	# foot

	require_once ( foot ) ;

?>